"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.createFileKindsRequestHandlerContextMock = void 0;

var _mocks = require("../../../../../src/core/server/mocks");

var _mocks2 = require("../mocks");

/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */
const createFileKindsRequestHandlerContextMock = (fileKind = 'test') => {
  const fileService = (0, _mocks2.createFileServiceMock)();
  const ctx = {
    fileKind,
    files: Promise.resolve({
      fileService: {
        asCurrentUser: () => fileService,
        asInternalUser: () => fileService,
        logger: _mocks.loggingSystemMock.createLogger()
      }
    })
  };
  return {
    ctx,
    fileService
  };
};

exports.createFileKindsRequestHandlerContextMock = createFileKindsRequestHandlerContextMock;